import { Euler, Object3D, Quaternion, Vector3 } from "three";
import { MutableRefObject } from "react";
import { BodyConfig, BodyType, ShapeConfig, ShapeType } from "../../three-ammo/lib/types";
import { RigidbodyApi } from "../api/rigidbody-api";
declare type UseRigidBodyOptions = Omit<BodyConfig, "type"> & {
    shapeType: ShapeType;
    bodyType?: BodyType;
    mesh?: Object3D;
    shapeConfig?: Omit<ShapeConfig, "type">;
    position?: Vector3 | [number, number, number];
    rotation?: Euler | [number, number, number] | [number, number, number, string] | Quaternion;
};
export declare function useRigidBody(options: UseRigidBodyOptions | (() => UseRigidBodyOptions), object3D?: Object3D): [MutableRefObject<Object3D | undefined>, RigidbodyApi];
/**
 * @deprecated use useRigidBody instead
 */
export declare const usePhysics: typeof useRigidBody;
export {};
