import { ShapeConfig, ShapeType } from "../three-ammo/lib/types";
export interface FinalizedShape extends Ammo.btCollisionShape {
    type: ShapeType;
    destroy(): void;
    localTransform: Ammo.btTransform;
    resources?: any[];
    heightfieldData?: number;
    shapes?: FinalizedShape[];
}
export declare function createCollisionShapes(vertices: any, matrices: any, indexes: any, matrixWorld: any, options: ShapeConfig): FinalizedShape | null;
export declare function createCompoundShape(shapes: FinalizedShape[], options: ShapeConfig): FinalizedShape;
export declare function createBoxShape(vertices: any, matrices: any, matrixWorld: any, options: ShapeConfig): FinalizedShape;
export declare function createCylinderShape(vertices: any, matrices: any, matrixWorld: any, options: ShapeConfig): FinalizedShape;
export declare function createCapsuleShape(vertices: any, matrices: any, matrixWorld: any, options: ShapeConfig): FinalizedShape;
export declare function createConeShape(vertices: any, matrices: any, matrixWorld: any, options: ShapeConfig): FinalizedShape;
export declare function createSphereShape(vertices: any, matrices: any, matrixWorld: any, options: ShapeConfig): FinalizedShape;
export declare const createHullShape: (vertices: any, matrices: any, matrixWorld: any, options: ShapeConfig) => FinalizedShape | null;
export declare const createHACDShapes: (vertices: any, matrices: any, indexes: any, matrixWorld: any, options: ShapeConfig) => FinalizedShape[];
export declare const createVHACDShapes: (vertices: any, matrices: any, indexes: any, matrixWorld: any, options: ShapeConfig) => FinalizedShape[];
export declare const createTriMeshShape: (vertices: any, matrices: any, indexes: any, matrixWorld: any, options: ShapeConfig) => FinalizedShape | null;
export declare function createHeightfieldTerrainShape(options: ShapeConfig): FinalizedShape | null;
export declare const iterateGeometries: (root: any, options: any, cb: any) => void;
